<template>
  <div id="app">
    <MainMasterpage></MainMasterpage>
    
    <router-link to="/jobAdd">JobAdd</router-link> /
    <router-link to="/interAdd">IntershipAdd</router-link>
    <div v-if="isLoading">Loading ......</div>
    <div v-else>
      <div class="card-container">
        <div v-for="internship in getItemsList" :key="internship.id" class="card">
          <div>
            <strong>Назва:</strong> {{ internship.title }}
          </div>
          <div>
            <strong>Курс:</strong> {{ internship.course }}
          </div>
          <div>
            <strong>Факультет:</strong> {{ internship.faculty }}
          </div>
          <div>
            <strong>Деталі:</strong> {{ internship.info }}
          </div>
          <button @click="deleteItem(internship.id)">Delete</button>
          </div>
      </div>
    </div>
    <br />
    <Footer />
    <router-view />
  </div>
</template>

<script>
import Footer from '@/masterpages/Footer.vue';
import MainMasterpage from '@/masterpages/MainMasterpage.vue';
import { mapGetters, mapActions } from 'vuex'
export default {
  components: {
    MainMasterpage,
    Footer,
  },
  data() {
    return {
      interships: {},
      favorites: [],
    }
  },
  computed: {
    ...mapGetters('interships',['getItemsList', 'isLoading']),
  },
  created() {
    this.loadList()
  },
  methods: {
    ...mapActions('interships',['loadList', 'addItem', 'deleteItem', 'updateItem', 'loadFilteredData']),
  },
};
</script>

<style>
.card-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  margin-left: 70px;
  margin-right: 70px;
}

.card {
  border: 2px solid #3498db;
  padding: 10px;
  border-radius: 5px;
  /* Add any other styling you need */
}
</style>

